MyGUI: MyGUI::SimpleText Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::SimpleText Class Reference

`#include <MyGUI_SimpleText.h>`

Inheritance diagram for MyGUI::SimpleText:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SimpleText | RTTIBase
Public Types inherited from MyGUI::EditText
typedef RTTIBase | Base
typedef EditText | RTTIBase
Public Types inherited from MyGUI::ISubWidgetText
typedef RTTIBase | Base
typedef ISubWidgetText | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| SimpleText ()
virtual | ~SimpleText ()
virtual void | setViewOffset (const IntPoint &_point)
virtual void | doRender ()
Public Member Functions inherited from MyGUI::EditText
template<typename Type >
bool | isType () const
| EditText ()
virtual | ~EditText ()
virtual void | setVisible (bool _value)
virtual void | updateRawData ()
void | setCaption (const UString &_value)
const UString & | getCaption () const
void | setTextColour (const Colour &_value)
const Colour & | getTextColour () const
void | setAlpha (float _value)
float | getAlpha () const
virtual void | setFontName (const std::string &_value)
virtual const std::string & | getFontName () const
virtual void | setFontHeight (int _value)
virtual int | getFontHeight () const
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)
virtual void | destroyDrawItem ()
virtual void | setTextAlign (Align _value)
virtual Align | getTextAlign () const
virtual size_t | getTextSelectionStart () const
virtual size_t | getTextSelectionEnd () const
virtual void | setTextSelection (size_t _start, size_t _end)
virtual bool | getSelectBackground () const
virtual void | setSelectBackground (bool _normal)
virtual bool | isVisibleCursor () const
virtual void | setVisibleCursor (bool _value)
virtual bool | getInvertSelected () const
virtual void | setInvertSelected (bool _value)
virtual size_t | getCursorPosition () const
virtual void | setCursorPosition (size_t _index)
virtual IntSize | getTextSize ()
virtual IntPoint | getViewOffset () const
virtual size_t | getCursorPosition (const IntPoint &_point)
virtual IntCoord | getCursorCoord (size_t _position)
virtual bool | getShadow () const
virtual void | setShadow (bool _value)
virtual void | setShiftText (bool _shift)
virtual void | setWordWrap (bool _value)
virtual void | setStateData (IStateInfo *_data)
virtual void | setShadowColour (const Colour &_value)
virtual const Colour & | getShadowColour () const
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual const VectorLineInfo & | getLineInfo () const
Public Member Functions inherited from MyGUI::ISubWidgetText
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetText ()
IntPoint | getCursorPoint (size_t _position)
IntRect | getCursorRect (size_t _position)
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::EditText
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetText
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::EditText
bool | mEmptyView
uint32 | mCurrentColourNative
uint32 | mInverseColourNative
uint32 | mCurrentAlphaNative
uint32 | mShadowColourNative
IntCoord | mCurrentCoord
UString | mCaption
bool | mTextOutDate
Align | mTextAlign
Colour | mColour
Colour | mShadowColour
float | mAlpha
VertexColourType | mVertexFormat
IFont * | mFont
ITexture * | mTexture
int | mFontHeight
bool | mBackgroundNormal
size_t | mStartSelect
size_t | mEndSelect
size_t | mCursorPosition
bool | mVisibleCursor
bool | mInvertSelect
bool | mShadow
IntPoint | mViewOffset
ILayerNode * | mNode
RenderItem * | mRenderItem
size_t | mCountVertex
bool | mIsAddCursorWidth
bool | mShiftText
bool | mWordWrap
bool | mManualColour
int | mOldWidth
TextView | mTextView
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 19 of file MyGUI_SimpleText.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::SimpleText::Base

Definition at line 22 of file MyGUI_SimpleText.h.

## ◆ RTTIBase

typedef SimpleText MyGUI::SimpleText::RTTIBase

Definition at line 22 of file MyGUI_SimpleText.h.

## Constructor & Destructor Documentation

## ◆ SimpleText()

MyGUI::SimpleText::SimpleText | ( |  | ) |

Definition at line 18 of file MyGUI_SimpleText.cpp.

## ◆ ~SimpleText()

MyGUI::SimpleText::~SimpleText | ( |  | ) |
| virtual

Definition at line 24 of file MyGUI_SimpleText.cpp.

## Member Function Documentation

## ◆ doRender()

void MyGUI::SimpleText::doRender | ( |  | ) |
| virtual

Reimplemented from MyGUI::EditText.

Definition at line 32 of file MyGUI_SimpleText.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::SimpleText::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 22 of file MyGUI_SimpleText.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::SimpleText::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::EditText.

Definition at line 22 of file MyGUI_SimpleText.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::SimpleText::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 22 of file MyGUI_SimpleText.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SimpleText::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::EditText.

Definition at line 22 of file MyGUI_SimpleText.h.

## ◆ setViewOffset()

void MyGUI::SimpleText::setViewOffset | ( | const IntPoint & | _point | ) |
| virtual

Reimplemented from MyGUI::EditText.

Definition at line 28 of file MyGUI_SimpleText.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SimpleText.h
- MyGUI_SimpleText.cpp